Subject: RE: (ngtrans) I-D ACTION:draft-ietf-ngtrans-6to4-03.txt

From: [email-masked]
Date: Mon, 18 Oct 1999 22:33:37 +0100

...

> There is no such thing as a v6 name server.  The DNS protocol is the
> same regardless of whether it is running over v4 or v6.  A DNS server
> on a v4 network can return AAAA or A6 records, and a DNS server on
> a v6 network can return A records.  
> 
> So no, I don't think such assumptions are reasonable.
> 
> There are of course name servers that don't understand AAAA or A6 queries.
> For the cases where a v6-only host issues such a query and gets back
> "domain is valid but no records match querytype", is it then necessary 
> for the NAT-PT box to reissue the query looking for A records?
> Or can a v6-only host be expected to do this? 
> 
	In private e-mail I suggested for NAT-PT (actually the DNS-ALG) to
issue an A RR query in case of error reply on  AAAA or A6 queries. This has
the advantage of keeping the network details away from the end points. On
the other hand I am not sure what happens if the IPv6 network's ONLY
connectivity is a V4 ONLY and there is no capability for native or tunnelled
IPv6 connectivity. In this case the DNS ALG needs to actually translate all
AAAA/A6 queries to A queries? How does NAT-PT know what to do?

	Your suggestion of letting the hosts re-issue an A request has some
advantages, although I do not know if it can be easily supported at this
stage, but it does not help you when you ONLY have IPv4 connectivity.
	It seams to me that the NAT-PT needs to know the exact connectivity
of the IPv6 network and act accordingly.
	For example:
	- IPv4 connectivity only => translate all AAAA/A6 to A
	- IPv4 and IPv6 => translate  to A only on error reply
	details of other combinations should also be defined (v4 and 6to4,
v4 + configured tunnel and DTI etc)

	George

---

From: Keith Moore <[email-masked]>
Date: Mon, 18 Oct 1999 18:36:40 -0400

> stage, but it does not help you when you ONLY have IPv4 connectivity.

actually, it might help even then, because you still don't want 
the v6 hosts to think that they have a native v6 connection.

Keith